paquets python bloquant l'upgrade [debian Lenny]

Le
Aurelien
--WfZ7S8PLGjBY9Voh
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: 8bit

Bonjour à toutes et à tous,

J'ai un petit problème d'upgrade sur une machine tournant sous Debian
Lenny AMD64. Il bloque sur 3 paquets python :
python-glade2
python-gtk2
python-gobject

apt-get -f install ne résoud rien, et bien que je comprenne ce que me
dit apt en sortie (cf. bas du mail ou pièce jointe), je ne sais pas trop
quoi en faire.
J'ai cherché un peu sur le net, mais je ne trouve que des posts en
espagnol (ou une autre langue latine) et je ne la parle absolument pas,
doinc, c'est un peu compliqué.

Merci d'avance à qui pourra m'aider un peu.

PS : le résultat d'apt est dans le mail transféré.




--WfZ7S8PLGjBY9Voh
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 8bit

Return-Path: <tyranorl@free.fr>
X-Spam-Checker-Version: SpamAssassin 3.2.5 (2008-06-10) on
bete2guerre.univ-lemans.fr
X-Spam-Level:
X-Spam-Status: No, score=0.4 required=2.0 tests=AWL autolearn=ham version=3.2.5
X-Original-To: orl@localhost
Delivered-To: orl@localhost.ammd.net
Received: from bete2guerre.univ-lemans.fr (localhost [127.0.0.1])
by b2g.ammd.net (Postfix) with ESMTP id 5C7D217E99
for <orl@localhost>; Thu, 22 Jan 2009 17:53:47 +0100 (CET)
Delivered-To: online.fr-tyranorl@free.fr
Received: from pop.free.fr
by bete2guerre.univ-lemans.fr with POP3 (fetchmail-6.3.9-rc2)
for <orl@localhost> (single-drop); Thu, 22 Jan 2009 17:53:47 +0100 (CET)
Received: (qmail 21638 invoked from network); 22 Jan 2009 16:51:39 -0000
Received: from 212.27.42.9 (HELO smtpfb1-g21.free.fr) (212.27.42.9)
by mrelay5-g25.free.fr with SMTP; 22 Jan 2009 16:51:39 -0000
Received: from wmproxy1-g27.free.fr (wmproxy1-g27.free.fr [212.27.42.91])
by smtpfb1-g21.free.fr (Postfix) with ESMTP id 0C04E780B88
for <tyranorl@free.fr>; Thu, 22 Jan 2009 17:51:35 +0100 (CET)
Received: from UNKNOWN (imp7-g19.priv.proxad.net [172.20.243.137])
by wmproxy1-g27.free.fr (Postfix) with ESMTP id DFF665E692
for <tyranorl@free.fr>; Thu, 22 Jan 2009 18:57:34 +0100 (CET)
Received: by UNKNOWN (Postfix, from userid 0)
id F3D6212D5F6A3; Thu, 22 Jan 2009 17:51:34 +0100 (CET)
Received: from ([81.56.240.95])
by webmail.free.fr (IMP) with HTTP
for <tyranorl@172.20.243.56>; Thu, 22 Jan 2009 17:51:34 +0100
Message-ID: <1232643094.4978a416eee2a@webmail.free.fr>
Date: Thu, 22 Jan 2009 17:51:34 +0100
From: tyranorl@free.fr
To: tyranorl@free.fr
Subject: python
MIME-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 8bit
User-Agent: Internet Messaging Program (IMP) 3.2.8
X-Originating-IP: 81.56.240.95



b2g2:~# apt-get install --reinstall python --purge
Lecture des listes de paquets Fait
Construction de l'arbre des dépendances
Lecture des informations d'état Fait
Les paquets suivants ont été installés automatiquement et ne sont plus
nécessaires :
sg3-utils python-gnome2 python-pyorbit gedit-common iso-codes libgpod-common
python-gtksourceview2 libsgutils1 python-glade2 libgnomevfs2-bin
libgtksourceview2.0-0
libgtksourceview2.0-common
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés :
python-glade2 python-gobject python-gtk2
Paquets suggérés :
python-gtk2-doc python-gobject-dbg
Les paquets suivants seront mis à jour :
python-glade2 python-gobject python-gtk2
3 mis à jour, 0 nouvellement installés, 1 réinstallés, 0 à enlever et 124 non
mis à jour.
526 partiellement installés ou enlevés.
Il est nécessaire de prendre 0o/1921ko dans les archives.
Après cette opération, 4096o d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ?
Lecture des champs des paquets Fait
Lecture de l'état des paquets Fait
Récupération des rapports de bogue Fait
Analyse des informations Trouvé/Corrigé Fait
(Lecture de la base de données 101648 fichiers et répertoires déjà
installés.)
Préparation du remplacement de python-gobject 2.14.1-4 (en utilisant
/python-gobject_2.14.2-1_amd64.deb)
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 348, in <module>
post_change_stuff(py)
File "/usr/sbin/update-python-modules", line 225, in post_change_stuff
file(initfile,"w").close()
IOError: [Errno 2] No such file or directory:
'/var/lib/python-support/python2.4/python-sepolgen/__init__.py'
dpkg : avertissement - ancien script pre-removal a retourné un code d'erreur de
sortie 1
dpkg - tentative d'exécution du script du nouveau paquet à la place
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 348, in <module>
post_change_stuff(py)
File "/usr/sbin/update-python-modules", line 225, in post_change_stuff
file(initfile,"w").close()
IOError: [Errno 2] No such file or directory:
'/var/lib/python-support/python2.4/python-sepolgen/__init__.py'
dpkg : erreur de traitement de
/var/cache/apt/archives/python-gobject_2.14.2-1_amd64.deb (--unpack) :
le sous-processus nouveau script pre-removal a retourné une erreur de sortie
d'état 1
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 344, in <module>
bytecompile_all(py)
File "/usr/sbin/update-python-modules", line 239, in bytecompile_all
post_change_stuff(py)
File "/usr/sbin/update-python-modules", line 225, in post_change_stuff
file(initfile,"w").close()
IOError: [Errno 2] No such file or directory:
'/var/lib/python-support/python2.4/python-sepolgen/__init__.py'
dpkg : erreur lors du nettoyage :
le sous-processus post-installation script a retourné une erreur de sortie
d'état 1
Préparation du remplacement de python-glade2 2.12.1-1 (en utilisant
/python-glade2_2.12.1-6_amd64.deb)
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 348, in <module>
post_change_stuff(py)
File "/usr/sbin/update-python-modules", line 225, in post_change_stuff
file(initfile,"w").close()
IOError: [Errno 2] No such file or directory:
'/var/lib/python-support/python2.4/python-sepolgen/__init__.py'
dpkg : avertissement - ancien script pre-removal a retourné un code d'erreur de
sortie 1
dpkg - tentative d'exécution du script du nouveau paquet à la place
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 348, in <module>
post_change_stuff(py)
File "/usr/sbin/update-python-modules", line 225, in post_change_stuff
file(initfile,"w").close()
IOError: [Errno 2] No such file or directory:
'/var/lib/python-support/python2.4/python-sepolgen/__init__.py'
dpkg : erreur de traitement de
/var/cache/apt/archives/python-glade2_2.12.1-6_amd64.deb (--unpack) :
le sous-processus nouveau script pre-removal a retourné une erreur de sortie
d'état 1
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 344, in <module>
bytecompile_all(py)
File "/usr/sbin/update-python-modules", line 239, in bytecompile_all
post_change_stuff(py)
File "/usr/sbin/update-python-modules", line 225, in post_change_stuff
file(initfile,"w").close()
IOError: [Errno 2] No such file or directory:
'/var/lib/python-support/python2.4/python-sepolgen/__init__.py'
dpkg : erreur lors du nettoyage :
le sous-processus post-installation script a retourné une erreur de sortie
d'état 1
Préparation du remplacement de python-gtk2 2.12.1-1 (en utilisant
/python-gtk2_2.12.1-6_amd64.deb)
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 348, in <module>
post_change_stuff(py)
File "/usr/sbin/update-python-modules", line 225, in post_change_stuff
file(initfile,"w").close()
IOError: [Errno 2] No such file or directory:
'/var/lib/python-support/python2.4/python-sepolgen/__init__.py'
dpkg : avertissement - ancien script pre-removal a retourné un code d'erreur de
sortie 1
dpkg - tentative d'exécution du script du nouveau paquet à la place
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 348, in <module>
post_change_stuff(py)
File "/usr/sbin/update-python-modules", line 225, in post_change_stuff
file(initfile,"w").close()
IOError: [Errno 2] No such file or directory:
'/var/lib/python-support/python2.4/python-sepolgen/__init__.py'
dpkg : erreur de traitement de
/var/cache/apt/archives/python-gtk2_2.12.1-6_amd64.deb (--unpack) :
le sous-processus nouveau script pre-removal a retourné une erreur de sortie
d'état 1
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 344, in <module>
bytecompile_all(py)
File "/usr/sbin/update-python-modules", line 239, in bytecompile_all
post_change_stuff(py)
File "/usr/sbin/update-python-modules", line 225, in post_change_stuff
file(initfile,"w").close()
IOError: [Errno 2] No such file or directory:
'/var/lib/python-support/python2.4/python-sepolgen/__init__.py'
dpkg : erreur lors du nettoyage :
le sous-processus post-installation script a retourné une erreur de sortie
d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
/var/cache/apt/archives/python-gobject_2.14.2-1_amd64.deb
/var/cache/apt/archives/python-glade2_2.12.1-6_amd64.deb
/var/cache/apt/archives/python-gtk2_2.12.1-6_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


--WfZ7S8PLGjBY9Voh--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to debian-user-french-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Gilles Crevecoeur
Le #18458241
Aurelien a écrit :
Bonjour à toutes et à tous,

J'ai un petit problème d'upgrade sur une machine tournant sous Debian
Lenny AMD64. Il bloque sur 3 paquets python :
python-glade2
python-gtk2
python-gobject

apt-get -f install ne résoud rien, et bien que je comprenne ce que me
dit apt en sortie (cf. bas du mail ou pièce jointe), je ne sais pas trop
quoi en faire.
J'ai cherché un peu sur le net, mais je ne trouve que des posts en
espagnol (ou une autre langue latine) et je ne la parle absolument pas,
doinc, c'est un peu compliqué.

Merci d'avance à qui pourra m'aider un peu.

PS : le résultat d'apt est dans le mail transféré.



Bonjour,

J'ai eu un problème apparemment similaire lors de l'upgrade de etch vers
lenny. Toutefois c'était le paquet hplip, et python-imaging qui me poser
un problème car l'arborescence de ces paquets est différente entre etch
et lenny. D'autant que je suspecte que les scripts permettant de retirer
ces paquets étaient buggés (cad les scripts dans /var/lib/dpkg/info :
hplip.prerm, hplip.postrm,...). Dans mon cas j'ai supprimé les paquets
très sauvagement en pratiquant un 'rm -r' sur les répertoires de hplip
et python-imaging...
Je ne sais pas à priori si c'est la bonne solution dans votre cas. Il
faudrait voir s'il ne reste pas une trace d'un des paquets incriminés.

Voilà si cela peut vous aidez.
Au revoir
--
Gilles Crevecoeur

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Aurelien
Le #18458351
On Thu, Jan 22, 2009 at 06:21:45PM +0100, Gilles Crevecoeur wrote :
Aurelien a écrit :
Bonjour à toutes et à tous,

J'ai un petit problème d'upgrade sur une machine tournant sous Debian
Lenny AMD64. Il bloque sur 3 paquets python : python-glade2
python-gtk2
python-gobject

apt-get -f install ne résoud rien, et bien que je comprenne ce que me
dit apt en sortie (cf. bas du mail ou pièce jointe), je ne sais pas trop
quoi en faire.
J'ai cherché un peu sur le net, mais je ne trouve que des posts en
espagnol (ou une autre langue latine) et je ne la parle absolument pas,
doinc, c'est un peu compliqué.

Merci d'avance à qui pourra m'aider un peu.

PS : le résultat d'apt est dans le mail transféré.



Bonjour,

J'ai eu un problème apparemment similaire lors de l'upgrade de etch vers
lenny. Toutefois c'était le paquet hplip, et python-imaging qui me poser
un problème car l'arborescence de ces paquets est différente entre etch
et lenny. D'autant que je suspecte que les scripts permettant de retirer
ces paquets étaient buggés (cad les scripts dans /var/lib/dpkg/info :
hplip.prerm, hplip.postrm,...). Dans mon cas j'ai supprimé les paquets
très sauvagement en pratiquant un 'rm -r' sur les répertoires de hplip
et python-imaging...
Je ne sais pas à priori si c'est la bonne solution dans votre cas. Il
faudrait voir s'il ne reste pas une trace d'un des paquets incriminés.

Voilà si cela peut vous aidez.
Au revoir
--



OK, merci à vous deux, c'était exactement ça. J'ai supprimé le
répertoire python-speolgen dans python2.4 et python2.5 et ça upgrade en
ce moment même.
Merci beaucoup.

A très bientôt.

--
============================= ORL

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Guy Roussin
Le #18458841
Bonsoir,
Une info au passage, le sujet s'y prête.
J'ai constaté qu'il faut virer un éventuel python2.3 (qui resterait
d'une sarge ?) lors d'un upgrade en lenny. L'install de certains paquets
ne marche plus avec cette ancienne version ...

Guy

Aurelien a écrit :
Bonjour à toutes et à tous,

J'ai un petit problème d'upgrade sur une machine tournant sous Debian
Lenny AMD64. Il bloque sur 3 paquets python :
python-glade2
python-gtk2
python-gobject

apt-get -f install ne résoud rien, et bien que je comprenne ce que me
dit apt en sortie (cf. bas du mail ou pièce jointe), je ne sais pas t rop
quoi en faire.
J'ai cherché un peu sur le net, mais je ne trouve que des posts en
espagnol (ou une autre langue latine) et je ne la parle absolument pas,
doinc, c'est un peu compliqué.

Merci d'avance à qui pourra m'aider un peu.

PS : le résultat d'apt est dans le mail transféré.





----------------------------------------------------------------------- -

Sujet:
python
Expéditeur:

Date:
Thu, 22 Jan 2009 17:51:34 +0100
Destinataire:


Destinataire:



b2g2:~# apt-get install --reinstall python --purge
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus
nécessaires :
sg3-utils python-gnome2 python-pyorbit gedit-common iso-codes libgpod -common
python-gtksourceview2 libsgutils1 python-glade2 libgnomevfs2-bin
libgtksourceview2.0-0
libgtksourceview2.0-common
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés :
python-glade2 python-gobject python-gtk2
Paquets suggérés :
python-gtk2-doc python-gobject-dbg
Les paquets suivants seront mis à jour :
python-glade2 python-gobject python-gtk2
3 mis à jour, 0 nouvellement installés, 1 réinstallés, 0 à en lever et 124 non
mis à jour.
526 partiellement installés ou enlevés.
Il est nécessaire de prendre 0o/1921ko dans les archives.
Après cette opération, 4096o d'espace disque supplémentaires sero nt utilisés.
Souhaitez-vous continuer [O/n] ?
Lecture des champs des paquets... Fait
Lecture de l'état des paquets... Fait
Récupération des rapports de bogue... Fait
Analyse des informations Trouvé/Corrigé... Fait
(Lecture de la base de données... 101648 fichiers et répertoires dé jà
installés.)
Préparation du remplacement de python-gobject 2.14.1-4 (en utilisant
.../python-gobject_2.14.2-1_amd64.deb) ...
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 348, in <module>
post_change_stuff(py)
File "/usr/sbin/update-python-modules", line 225, in post_change_stuf f
file(initfile,"w").close()
IOError: [Errno 2] No such file or directory:
'/var/lib/python-support/python2.4/python-sepolgen/__init__.py'
dpkg : avertissement - ancien script pre-removal a retourné un code d 'erreur de
sortie 1
dpkg - tentative d'exécution du script du nouveau paquet à la place ...
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 348, in <module>
post_change_stuff(py)
File "/usr/sbin/update-python-modules", line 225, in post_change_stuf f
file(initfile,"w").close()
IOError: [Errno 2] No such file or directory:
'/var/lib/python-support/python2.4/python-sepolgen/__init__.py'
dpkg : erreur de traitement de
/var/cache/apt/archives/python-gobject_2.14.2-1_amd64.deb (--unpack) :
le sous-processus nouveau script pre-removal a retourné une erreur d e sortie
d'état 1
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 344, in <module>
bytecompile_all(py)
File "/usr/sbin/update-python-modules", line 239, in bytecompile_all
post_change_stuff(py)
File "/usr/sbin/update-python-modules", line 225, in post_change_stuf f
file(initfile,"w").close()
IOError: [Errno 2] No such file or directory:
'/var/lib/python-support/python2.4/python-sepolgen/__init__.py'
dpkg : erreur lors du nettoyage :
le sous-processus post-installation script a retourné une erreur de sortie
d'état 1
Préparation du remplacement de python-glade2 2.12.1-1 (en utilisant
.../python-glade2_2.12.1-6_amd64.deb) ...
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 348, in <module>
post_change_stuff(py)
File "/usr/sbin/update-python-modules", line 225, in post_change_stuf f
file(initfile,"w").close()
IOError: [Errno 2] No such file or directory:
'/var/lib/python-support/python2.4/python-sepolgen/__init__.py'
dpkg : avertissement - ancien script pre-removal a retourné un code d 'erreur de
sortie 1
dpkg - tentative d'exécution du script du nouveau paquet à la place ...
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 348, in <module>
post_change_stuff(py)
File "/usr/sbin/update-python-modules", line 225, in post_change_stuf f
file(initfile,"w").close()
IOError: [Errno 2] No such file or directory:
'/var/lib/python-support/python2.4/python-sepolgen/__init__.py'
dpkg : erreur de traitement de
/var/cache/apt/archives/python-glade2_2.12.1-6_amd64.deb (--unpack) :
le sous-processus nouveau script pre-removal a retourné une erreur d e sortie
d'état 1
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 344, in <module>
bytecompile_all(py)
File "/usr/sbin/update-python-modules", line 239, in bytecompile_all
post_change_stuff(py)
File "/usr/sbin/update-python-modules", line 225, in post_change_stuf f
file(initfile,"w").close()
IOError: [Errno 2] No such file or directory:
'/var/lib/python-support/python2.4/python-sepolgen/__init__.py'
dpkg : erreur lors du nettoyage :
le sous-processus post-installation script a retourné une erreur de sortie
d'état 1
Préparation du remplacement de python-gtk2 2.12.1-1 (en utilisant
.../python-gtk2_2.12.1-6_amd64.deb) ...
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 348, in <module>
post_change_stuff(py)
File "/usr/sbin/update-python-modules", line 225, in post_change_stuf f
file(initfile,"w").close()
IOError: [Errno 2] No such file or directory:
'/var/lib/python-support/python2.4/python-sepolgen/__init__.py'
dpkg : avertissement - ancien script pre-removal a retourné un code d 'erreur de
sortie 1
dpkg - tentative d'exécution du script du nouveau paquet à la place ...
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 348, in <module>
post_change_stuff(py)
File "/usr/sbin/update-python-modules", line 225, in post_change_stuf f
file(initfile,"w").close()
IOError: [Errno 2] No such file or directory:
'/var/lib/python-support/python2.4/python-sepolgen/__init__.py'
dpkg : erreur de traitement de
/var/cache/apt/archives/python-gtk2_2.12.1-6_amd64.deb (--unpack) :
le sous-processus nouveau script pre-removal a retourné une erreur d e sortie
d'état 1
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 344, in <module>
bytecompile_all(py)
File "/usr/sbin/update-python-modules", line 239, in bytecompile_all
post_change_stuff(py)
File "/usr/sbin/update-python-modules", line 225, in post_change_stuf f
file(initfile,"w").close()
IOError: [Errno 2] No such file or directory:
'/var/lib/python-support/python2.4/python-sepolgen/__init__.py'
dpkg : erreur lors du nettoyage :
le sous-processus post-installation script a retourné une erreur de sortie
d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
/var/cache/apt/archives/python-gobject_2.14.2-1_amd64.deb
/var/cache/apt/archives/python-glade2_2.12.1-6_amd64.deb
/var/cache/apt/archives/python-gtk2_2.12.1-6_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)






--
Guy Roussin

UMR TETIS "Territoires, Environnement, Teledetection et Information Spat iale"

Maison de la Télédétection en Languedoc Roussillon
500, rue J.F. Breton
34093 MONTPELLIER Cedex 5

tél: 04.67.54.87.46 fax: 04.67.54.87.00
mailto:

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Publicité
Poster une réponse
Anonyme